Object::Pad::MOP::Method(3pm)

NAME
"Object::Pad::MOP::Method" - meta-object representation of a method of a "Object::Pad" class

DESCRIPTION
Instances of this class represent a method of a class implemented by Object::Pad. Accessors provide information about the method.

This API should be considered experimental, and will emit warnings to that effect. They can be silenced with

   use Object::Pad qw( :experimental(mop) );

METHODS

  name
   $name = $metamethod->name;

Returns the name of the method, as a plain string.

  class
   $metaclass = $metamethod->class;

Returns the Object::Pad::MOP::Class instance representing the class of which this method is a member.

  is_common
   $bool = $metamethod->is_common;

Since version 0.62.

Returns true if the method is a class-common method, or false for a regular instance method.

AUTHOR
Paul Evans <leonerd@leonerd.org.uk>